ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.23 by pcg, Wed Jul 7 00:28:19 2004 UTC vs.
Revision 1.32 by pcg, Wed Jan 18 13:17:55 2006 UTC

269PACKAGE_TARNAME= 269PACKAGE_TARNAME=
270PACKAGE_VERSION= 270PACKAGE_VERSION=
271PACKAGE_STRING= 271PACKAGE_STRING=
272PACKAGE_BUGREPORT= 272PACKAGE_BUGREPORT=
273 273
274ac_unique_file="src/vped.C" 274ac_unique_file="src/gvpe.C"
275# Factoring default headers for most tests. 275# Factoring default headers for most tests.
276ac_includes_default="\ 276ac_includes_default="\
277#include <stdio.h> 277#include <stdio.h>
278#if HAVE_SYS_TYPES_H 278#if HAVE_SYS_TYPES_H
279# include <sys/types.h> 279# include <sys/types.h>
307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
860 cat <<\_ACEOF 860 cat <<\_ACEOF
861 861
862Optional Features: 862Optional Features:
863 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 863 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
864 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 864 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
865 --enable-maintainer-mode enable make rules and dependencies not useful 865 --enable-maintainer-mode enable make rules and dependencies not useful
866 (and sometimes confusing) to the casual installer 866 (and sometimes confusing) to the casual installer
867 --disable-dependency-tracking Speeds up one-time builds 867 --disable-dependency-tracking speeds up one-time build
868 --enable-dependency-tracking Do not reject slow dependency extractors 868 --enable-dependency-tracking do not reject slow dependency extractors
869 --disable-rpath do not hardcode runtime library paths 869 --disable-rpath do not hardcode runtime library paths
870 --disable-nls do not use Native Language Support 870 --disable-nls do not use Native Language Support
871 --enable-iftype=TYPE/SUBTYPE 871 --enable-iftype=TYPE/SUBTYPE
872 Use kernel/net device interface TYPE/SUBTYPE. 872 Use kernel/net device interface TYPE/SUBTYPE.
873 Working combinations are: "native/linux" 873 Working combinations are (see doc/gvpe.osdep.5.pod):
874 "native/linux" "tincd/linux" "tincd/netbsd"
874 "tincd/linux" "tincd/freebsd" "tincd/openbsd" 875 "tincd/freebsd" "tincd/openbsd" "native/darwin"
875 "tincd/darwin" "native/cygwin"; Untested 876 "tincd/darwin" "native/cygwin"; Untested
876 combinations are: "tincd/netbsd" "tincd/solaris" 877 combinations are: "tincd/bsd" "tincd/solaris"
877 "tincd/mingw"; Broken combinations are: 878 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
879 Broken combinations are: "tincd/cygwin"; The default
878 "tincd/cygwin"; The default is to autodetect. 880 is to autodetect.
879 --enable-static-daemon enable statically linked daemon. 881 --enable-static-daemon enable statically linked daemon.
880 --enable-rohc enable robust header compression (rfc3095). 882 --enable-rohc enable robust header compression (rfc3095).
881 --enable-icmp enable icmp protocol support (default disabled). 883 --enable-icmp enable icmp protocol support (default disabled).
882 --enable-tcp enable tcp protocol support (default disabled). 884 --enable-tcp enable tcp protocol support (default disabled).
883 --enable-dns enable dns tunnel protocol support (DOES NOT WORK). 885 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
890 use BYTES bytes of extra randomness (default 8). 892 use BYTES bytes of extra randomness (default 8).
891 Allowed values are 0, 4, 8. 893 Allowed values are 0, 4, 8.
892 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 894 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
893 Use 9100 for jumbogram support. 895 Use 9100 for jumbogram support.
894 --disable-compression Disable compression support. 896 --disable-compression Disable compression support.
895 --enable-cipher Select the symmetric cipher (default "bf"). Must be 897 --enable-cipher Select the symmetric cipher (default "aes-128").
896 one of "bf" (blowfish), "aes-128" (rijndael), 898 Must be one of "bf" (blowfish), "aes-128"
897 "aes-192" or "aes-256". 899 (rijndael), "aes-192" or "aes-256".
898 --enable-digest Select the digets algorithm to use (default "sha1"). 900 --enable-digest Select the digets algorithm to use (default
899 Must be one of "sha1", "ripemd160", "md5" or "md4" 901 "ripemd160"). Must be one of "sha1", "ripemd160",
900 (insecure). 902 "md5" or "md4" (insecure).
901 903
902Optional Packages: 904Optional Packages:
903 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 905 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
904 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 906 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
905 --with-gnu-ld assume the C compiler uses GNU ld default=no 907 --with-gnu-ld assume the C compiler uses GNU ld default=no
1468# will get canonicalized. 1470# will get canonicalized.
1469test -n "$target_alias" && 1471test -n "$target_alias" &&
1470 test "$program_prefix$program_suffix$program_transform_name" = \ 1472 test "$program_prefix$program_suffix$program_transform_name" = \
1471 NONENONEs,x,x, && 1473 NONENONEs,x,x, &&
1472 program_prefix=${target_alias}- 1474 program_prefix=${target_alias}-
1473am__api_version="1.7" 1475am__api_version="1.9"
1474# Find a good install program. We prefer a C program (faster), 1476# Find a good install program. We prefer a C program (faster),
1475# so one script is as good as another. But avoid the broken or 1477# so one script is as good as another. But avoid the broken or
1476# incompatible versions: 1478# incompatible versions:
1477# SysV /etc/install, /usr/sbin/install 1479# SysV /etc/install, /usr/sbin/install
1478# SunOS /usr/etc/install 1480# SunOS /usr/etc/install
1606s/[\\$]/&&/g;s/;s,x,x,$// 1608s/[\\$]/&&/g;s/;s,x,x,$//
1607_ACEOF 1609_ACEOF
1608program_transform_name=`echo $program_transform_name | sed -f conftest.sed` 1610program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
1609rm conftest.sed 1611rm conftest.sed
1610 1612
1611
1612# expand $ac_aux_dir to an absolute path 1613# expand $ac_aux_dir to an absolute path
1613am_aux_dir=`cd $ac_aux_dir && pwd` 1614am_aux_dir=`cd $ac_aux_dir && pwd`
1614 1615
1615test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing" 1616test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
1616# Use eval to expand $SHELL 1617# Use eval to expand $SHELL
1618 am_missing_run="$MISSING --run " 1619 am_missing_run="$MISSING --run "
1619else 1620else
1620 am_missing_run= 1621 am_missing_run=
1621 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5 1622 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5
1622echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;} 1623echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
1624fi
1625
1626if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
1627 # We used to keeping the `.' as first argument, in order to
1628 # allow $(mkdir_p) to be used without argument. As in
1629 # $(mkdir_p) $(somedir)
1630 # where $(somedir) is conditionally defined. However this is wrong
1631 # for two reasons:
1632 # 1. if the package is installed by a user who cannot write `.'
1633 # make install will fail,
1634 # 2. the above comment should most certainly read
1635 # $(mkdir_p) $(DESTDIR)$(somedir)
1636 # so it does not work when $(somedir) is undefined and
1637 # $(DESTDIR) is not.
1638 # To support the latter case, we have to write
1639 # test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
1640 # so the `.' trick is pointless.
1641 mkdir_p='mkdir -p --'
1642else
1643 # On NextStep and OpenStep, the `mkdir' command does not
1644 # recognize any option. It will interpret all options as
1645 # directories to create, and then abort because `.' already
1646 # exists.
1647 for d in ./-p ./--version;
1648 do
1649 test -d $d && rmdir $d
1650 done
1651 # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
1652 if test -f "$ac_aux_dir/mkinstalldirs"; then
1653 mkdir_p='$(mkinstalldirs)'
1654 else
1655 mkdir_p='$(install_sh) -d'
1656 fi
1623fi 1657fi
1624 1658
1625for ac_prog in gawk mawk nawk awk 1659for ac_prog in gawk mawk nawk awk
1626do 1660do
1627 # Extract the first word of "$ac_prog", so it can be a program name with args. 1661 # Extract the first word of "$ac_prog", so it can be a program name with args.
1698else 1732else
1699 am__leading_dot=_ 1733 am__leading_dot=_
1700fi 1734fi
1701rmdir .tst 2>/dev/null 1735rmdir .tst 2>/dev/null
1702 1736
1703 # test to see if srcdir already configured 1737# test to see if srcdir already configured
1704if test "`cd $srcdir && pwd`" != "`pwd`" && 1738if test "`cd $srcdir && pwd`" != "`pwd`" &&
1705 test -f $srcdir/config.status; then 1739 test -f $srcdir/config.status; then
1706 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5 1740 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
1707echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;} 1741echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
1708 { (exit 1); exit 1; }; } 1742 { (exit 1); exit 1; }; }
1718fi 1752fi
1719 1753
1720 1754
1721# Define the identity of the package. 1755# Define the identity of the package.
1722 PACKAGE=gvpe 1756 PACKAGE=gvpe
1723 VERSION=1.7 1757 VERSION=2.0
1724 1758
1725 1759
1726cat >>confdefs.h <<_ACEOF 1760cat >>confdefs.h <<_ACEOF
1727#define PACKAGE "$PACKAGE" 1761#define PACKAGE "$PACKAGE"
1728_ACEOF 1762_ACEOF
1745 1779
1746AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"} 1780AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
1747 1781
1748 1782
1749MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"} 1783MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
1750
1751
1752AMTAR=${AMTAR-"${am_missing_run}tar"}
1753 1784
1754install_sh=${install_sh-"$am_aux_dir/install-sh"} 1785install_sh=${install_sh-"$am_aux_dir/install-sh"}
1755 1786
1756# Installed binaries are usually stripped using `strip' when the user 1787# Installed binaries are usually stripped using `strip' when the user
1757# run `make install-strip'. However `strip' might not be the right 1788# run `make install-strip'. However `strip' might not be the right
1841fi 1872fi
1842INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s" 1873INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
1843 1874
1844# We need awk for the "check" target. The system "awk" is bad on 1875# We need awk for the "check" target. The system "awk" is bad on
1845# some platforms. 1876# some platforms.
1877# Always define AMTAR for backward compatibility.
1878
1879AMTAR=${AMTAR-"${am_missing_run}tar"}
1880
1881am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
1882
1883
1846 1884
1847 1885
1848 1886
1849 ac_config_headers="$ac_config_headers config.h" 1887 ac_config_headers="$ac_config_headers config.h"
1850 1888
3123 # overwrite some of them when testing with obscure command lines. 3161 # overwrite some of them when testing with obscure command lines.
3124 # This happens at least with the AIX C compiler. 3162 # This happens at least with the AIX C compiler.
3125 : > sub/conftest.c 3163 : > sub/conftest.c
3126 for i in 1 2 3 4 5 6; do 3164 for i in 1 2 3 4 5 6; do
3127 echo '#include "conftst'$i'.h"' >> sub/conftest.c 3165 echo '#include "conftst'$i'.h"' >> sub/conftest.c
3166 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
3167 # Solaris 8's {/usr,}/bin/sh.
3128 : > sub/conftst$i.h 3168 touch sub/conftst$i.h
3129 done 3169 done
3130 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 3170 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
3131 3171
3132 case $depmode in 3172 case $depmode in
3133 nosideeffect) 3173 nosideeffect)
3151 >/dev/null 2>conftest.err && 3191 >/dev/null 2>conftest.err &&
3152 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 3192 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
3153 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 3193 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
3154 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 3194 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
3155 # icc doesn't choke on unknown options, it will just issue warnings 3195 # icc doesn't choke on unknown options, it will just issue warnings
3156 # (even with -Werror). So we grep stderr for any message 3196 # or remarks (even with -Werror). So we grep stderr for any message
3157 # that says an option was ignored. 3197 # that says an option was ignored or not supported.
3198 # When given -MP, icc 7.0 and 7.1 complain thusly:
3199 # icc: Command line warning: ignoring option '-M'; no argument required
3200 # The diagnosis changed in icc 8.0:
3201 # icc: Command line remark: option '-MP' not supported
3202 if (grep 'ignoring option' conftest.err ||
3158 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 3203 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
3159 am_cv_CC_dependencies_compiler_type=$depmode 3204 am_cv_CC_dependencies_compiler_type=$depmode
3160 break 3205 break
3161 fi 3206 fi
3162 fi 3207 fi
3163 done 3208 done
5326 # overwrite some of them when testing with obscure command lines. 5371 # overwrite some of them when testing with obscure command lines.
5327 # This happens at least with the AIX C compiler. 5372 # This happens at least with the AIX C compiler.
5328 : > sub/conftest.c 5373 : > sub/conftest.c
5329 for i in 1 2 3 4 5 6; do 5374 for i in 1 2 3 4 5 6; do
5330 echo '#include "conftst'$i'.h"' >> sub/conftest.c 5375 echo '#include "conftst'$i'.h"' >> sub/conftest.c
5376 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
5377 # Solaris 8's {/usr,}/bin/sh.
5331 : > sub/conftst$i.h 5378 touch sub/conftst$i.h
5332 done 5379 done
5333 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 5380 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
5334 5381
5335 case $depmode in 5382 case $depmode in
5336 nosideeffect) 5383 nosideeffect)
5354 >/dev/null 2>conftest.err && 5401 >/dev/null 2>conftest.err &&
5355 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 5402 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
5356 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 5403 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
5357 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 5404 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
5358 # icc doesn't choke on unknown options, it will just issue warnings 5405 # icc doesn't choke on unknown options, it will just issue warnings
5359 # (even with -Werror). So we grep stderr for any message 5406 # or remarks (even with -Werror). So we grep stderr for any message
5360 # that says an option was ignored. 5407 # that says an option was ignored or not supported.
5408 # When given -MP, icc 7.0 and 7.1 complain thusly:
5409 # icc: Command line warning: ignoring option '-M'; no argument required
5410 # The diagnosis changed in icc 8.0:
5411 # icc: Command line remark: option '-MP' not supported
5412 if (grep 'ignoring option' conftest.err ||
5361 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 5413 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
5362 am_cv_CC_dependencies_compiler_type=$depmode 5414 am_cv_CC_dependencies_compiler_type=$depmode
5363 break 5415 break
5364 fi 5416 fi
5365 fi 5417 fi
5366 done 5418 done
6013 # overwrite some of them when testing with obscure command lines. 6065 # overwrite some of them when testing with obscure command lines.
6014 # This happens at least with the AIX C compiler. 6066 # This happens at least with the AIX C compiler.
6015 : > sub/conftest.c 6067 : > sub/conftest.c
6016 for i in 1 2 3 4 5 6; do 6068 for i in 1 2 3 4 5 6; do
6017 echo '#include "conftst'$i'.h"' >> sub/conftest.c 6069 echo '#include "conftst'$i'.h"' >> sub/conftest.c
6070 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
6071 # Solaris 8's {/usr,}/bin/sh.
6018 : > sub/conftst$i.h 6072 touch sub/conftst$i.h
6019 done 6073 done
6020 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 6074 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
6021 6075
6022 case $depmode in 6076 case $depmode in
6023 nosideeffect) 6077 nosideeffect)
6041 >/dev/null 2>conftest.err && 6095 >/dev/null 2>conftest.err &&
6042 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 6096 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
6043 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 6097 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
6044 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 6098 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
6045 # icc doesn't choke on unknown options, it will just issue warnings 6099 # icc doesn't choke on unknown options, it will just issue warnings
6046 # (even with -Werror). So we grep stderr for any message 6100 # or remarks (even with -Werror). So we grep stderr for any message
6047 # that says an option was ignored. 6101 # that says an option was ignored or not supported.
6102 # When given -MP, icc 7.0 and 7.1 complain thusly:
6103 # icc: Command line warning: ignoring option '-M'; no argument required
6104 # The diagnosis changed in icc 8.0:
6105 # icc: Command line remark: option '-MP' not supported
6106 if (grep 'ignoring option' conftest.err ||
6048 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 6107 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
6049 am_cv_CXX_dependencies_compiler_type=$depmode 6108 am_cv_CXX_dependencies_compiler_type=$depmode
6050 break 6109 break
6051 fi 6110 fi
6052 fi 6111 fi
6053 done 6112 done
6414#define HAVE_FREEBSD 1 6473#define HAVE_FREEBSD 1
6415_ACEOF 6474_ACEOF
6416 6475
6417 ;; 6476 ;;
6418 *darwin*) 6477 *darwin*)
6419 IFTYPE=tincd 6478 IFTYPE=native
6420 IFSUBTYPE=darwin 6479 IFSUBTYPE=darwin
6421 6480
6422cat >>confdefs.h <<\_ACEOF 6481cat >>confdefs.h <<\_ACEOF
6423#define HAVE_DARWIN 1 6482#define HAVE_DARWIN 1
6424_ACEOF 6483_ACEOF
7013 7072
7014done 7073done
7015 7074
7016 7075
7017 7076
7077
7018for ac_header in ext/hash_map 7078for ac_header in ext/hash_map clocale
7019do 7079do
7020as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7080as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7021if eval "test \"\${$as_ac_Header+set}\" = set"; then 7081if eval "test \"\${$as_ac_Header+set}\" = set"; then
7022 echo "$as_me:$LINENO: checking for $ac_header" >&5 7082 echo "$as_me:$LINENO: checking for $ac_header" >&5
7023echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 7083echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9718 ROHC_TRUE='#' 9778 ROHC_TRUE='#'
9719 ROHC_FALSE= 9779 ROHC_FALSE=
9720fi 9780fi
9721 9781
9722 9782
9783
9723# Check whether --enable-icmp or --disable-icmp was given. 9784# Check whether --enable-icmp or --disable-icmp was given.
9724if test "${enable_icmp+set}" = set; then 9785if test "${enable_icmp+set}" = set; then
9725 enableval="$enable_icmp" 9786 enableval="$enable_icmp"
9726 9787
9727cat >>confdefs.h <<_ACEOF 9788cat >>confdefs.h <<_ACEOF
9744 9805
9745# Check whether --enable-dns or --disable-dns was given. 9806# Check whether --enable-dns or --disable-dns was given.
9746if test "${enable_dns+set}" = set; then 9807if test "${enable_dns+set}" = set; then
9747 enableval="$enable_dns" 9808 enableval="$enable_dns"
9748 9809
9810 if test "${ac_cv_header_gmp_h+set}" = set; then
9811 echo "$as_me:$LINENO: checking for gmp.h" >&5
9812echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9813if test "${ac_cv_header_gmp_h+set}" = set; then
9814 echo $ECHO_N "(cached) $ECHO_C" >&6
9815fi
9816echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9817echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9818else
9819 # Is the header compilable?
9820echo "$as_me:$LINENO: checking gmp.h usability" >&5
9821echo $ECHO_N "checking gmp.h usability... $ECHO_C" >&6
9822cat >conftest.$ac_ext <<_ACEOF
9823/* confdefs.h. */
9824_ACEOF
9825cat confdefs.h >>conftest.$ac_ext
9826cat >>conftest.$ac_ext <<_ACEOF
9827/* end confdefs.h. */
9828$ac_includes_default
9829#include <gmp.h>
9830_ACEOF
9831rm -f conftest.$ac_objext
9832if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9833 (eval $ac_compile) 2>conftest.er1
9834 ac_status=$?
9835 grep -v '^ *+' conftest.er1 >conftest.err
9836 rm -f conftest.er1
9837 cat conftest.err >&5
9838 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9839 (exit $ac_status); } &&
9840 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9841 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9842 (eval $ac_try) 2>&5
9843 ac_status=$?
9844 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9845 (exit $ac_status); }; } &&
9846 { ac_try='test -s conftest.$ac_objext'
9847 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9848 (eval $ac_try) 2>&5
9849 ac_status=$?
9850 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9851 (exit $ac_status); }; }; then
9852 ac_header_compiler=yes
9853else
9854 echo "$as_me: failed program was:" >&5
9855sed 's/^/| /' conftest.$ac_ext >&5
9856
9857ac_header_compiler=no
9858fi
9859rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9860echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9861echo "${ECHO_T}$ac_header_compiler" >&6
9862
9863# Is the header present?
9864echo "$as_me:$LINENO: checking gmp.h presence" >&5
9865echo $ECHO_N "checking gmp.h presence... $ECHO_C" >&6
9866cat >conftest.$ac_ext <<_ACEOF
9867/* confdefs.h. */
9868_ACEOF
9869cat confdefs.h >>conftest.$ac_ext
9870cat >>conftest.$ac_ext <<_ACEOF
9871/* end confdefs.h. */
9872#include <gmp.h>
9873_ACEOF
9874if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9875 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9876 ac_status=$?
9877 grep -v '^ *+' conftest.er1 >conftest.err
9878 rm -f conftest.er1
9879 cat conftest.err >&5
9880 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9881 (exit $ac_status); } >/dev/null; then
9882 if test -s conftest.err; then
9883 ac_cpp_err=$ac_cxx_preproc_warn_flag
9884 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
9885 else
9886 ac_cpp_err=
9887 fi
9888else
9889 ac_cpp_err=yes
9890fi
9891if test -z "$ac_cpp_err"; then
9892 ac_header_preproc=yes
9893else
9894 echo "$as_me: failed program was:" >&5
9895sed 's/^/| /' conftest.$ac_ext >&5
9896
9897 ac_header_preproc=no
9898fi
9899rm -f conftest.err conftest.$ac_ext
9900echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9901echo "${ECHO_T}$ac_header_preproc" >&6
9902
9903# So? What about this header?
9904case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9905 yes:no: )
9906 { echo "$as_me:$LINENO: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
9907echo "$as_me: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9908 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the compiler's result" >&5
9909echo "$as_me: WARNING: gmp.h: proceeding with the compiler's result" >&2;}
9910 ac_header_preproc=yes
9911 ;;
9912 no:yes:* )
9913 { echo "$as_me:$LINENO: WARNING: gmp.h: present but cannot be compiled" >&5
9914echo "$as_me: WARNING: gmp.h: present but cannot be compiled" >&2;}
9915 { echo "$as_me:$LINENO: WARNING: gmp.h: check for missing prerequisite headers?" >&5
9916echo "$as_me: WARNING: gmp.h: check for missing prerequisite headers?" >&2;}
9917 { echo "$as_me:$LINENO: WARNING: gmp.h: see the Autoconf documentation" >&5
9918echo "$as_me: WARNING: gmp.h: see the Autoconf documentation" >&2;}
9919 { echo "$as_me:$LINENO: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&5
9920echo "$as_me: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
9921 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the preprocessor's result" >&5
9922echo "$as_me: WARNING: gmp.h: proceeding with the preprocessor's result" >&2;}
9923 { echo "$as_me:$LINENO: WARNING: gmp.h: in the future, the compiler will take precedence" >&5
9924echo "$as_me: WARNING: gmp.h: in the future, the compiler will take precedence" >&2;}
9925 (
9926 cat <<\_ASBOX
9927## ------------------------------------------ ##
9928## Report this to the AC_PACKAGE_NAME lists. ##
9929## ------------------------------------------ ##
9930_ASBOX
9931 ) |
9932 sed "s/^/$as_me: WARNING: /" >&2
9933 ;;
9934esac
9935echo "$as_me:$LINENO: checking for gmp.h" >&5
9936echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9937if test "${ac_cv_header_gmp_h+set}" = set; then
9938 echo $ECHO_N "(cached) $ECHO_C" >&6
9939else
9940 ac_cv_header_gmp_h=$ac_header_preproc
9941fi
9942echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9943echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9944
9945fi
9946if test $ac_cv_header_gmp_h = yes; then
9947 :
9948else
9949 { { echo "$as_me:$LINENO: error: gmp.h not found, required for --enable-dns" >&5
9950echo "$as_me: error: gmp.h not found, required for --enable-dns" >&2;}
9951 { (exit 1); exit 1; }; }
9952fi
9953
9954
9955
9956echo "$as_me:$LINENO: checking for main in -lgmp" >&5
9957echo $ECHO_N "checking for main in -lgmp... $ECHO_C" >&6
9958if test "${ac_cv_lib_gmp_main+set}" = set; then
9959 echo $ECHO_N "(cached) $ECHO_C" >&6
9960else
9961 ac_check_lib_save_LIBS=$LIBS
9962LIBS="-lgmp $LIBS"
9963cat >conftest.$ac_ext <<_ACEOF
9964/* confdefs.h. */
9965_ACEOF
9966cat confdefs.h >>conftest.$ac_ext
9967cat >>conftest.$ac_ext <<_ACEOF
9968/* end confdefs.h. */
9969
9970
9971int
9972main ()
9973{
9974main ();
9975 ;
9976 return 0;
9977}
9978_ACEOF
9979rm -f conftest.$ac_objext conftest$ac_exeext
9980if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9981 (eval $ac_link) 2>conftest.er1
9982 ac_status=$?
9983 grep -v '^ *+' conftest.er1 >conftest.err
9984 rm -f conftest.er1
9985 cat conftest.err >&5
9986 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9987 (exit $ac_status); } &&
9988 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9989 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9990 (eval $ac_try) 2>&5
9991 ac_status=$?
9992 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9993 (exit $ac_status); }; } &&
9994 { ac_try='test -s conftest$ac_exeext'
9995 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9996 (eval $ac_try) 2>&5
9997 ac_status=$?
9998 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9999 (exit $ac_status); }; }; then
10000 ac_cv_lib_gmp_main=yes
10001else
10002 echo "$as_me: failed program was:" >&5
10003sed 's/^/| /' conftest.$ac_ext >&5
10004
10005ac_cv_lib_gmp_main=no
10006fi
10007rm -f conftest.err conftest.$ac_objext \
10008 conftest$ac_exeext conftest.$ac_ext
10009LIBS=$ac_check_lib_save_LIBS
10010fi
10011echo "$as_me:$LINENO: result: $ac_cv_lib_gmp_main" >&5
10012echo "${ECHO_T}$ac_cv_lib_gmp_main" >&6
10013if test $ac_cv_lib_gmp_main = yes; then
10014 cat >>confdefs.h <<_ACEOF
10015#define HAVE_LIBGMP 1
10016_ACEOF
10017
10018 LIBS="-lgmp $LIBS"
10019
10020else
10021 { { echo "$as_me:$LINENO: error: libgmp not found, required for --enable-dns" >&5
10022echo "$as_me: error: libgmp not found, required for --enable-dns" >&2;}
10023 { (exit 1); exit 1; }; }
10024fi
10025
10026
10027
9749cat >>confdefs.h <<_ACEOF 10028cat >>confdefs.h <<_ACEOF
9750#define ENABLE_DNS 1 10029#define ENABLE_DNS 1
9751_ACEOF 10030_ACEOF
10031
9752 10032
9753 10033
9754fi; 10034fi;
9755 10035
9756# Check whether --enable-http-proxy or --disable-http-proxy was given. 10036# Check whether --enable-http-proxy or --disable-http-proxy was given.
9816cat >>confdefs.h <<_ACEOF 10096cat >>confdefs.h <<_ACEOF
9817#define ENABLE_COMPRESSION $COMPRESS 10097#define ENABLE_COMPRESSION $COMPRESS
9818_ACEOF 10098_ACEOF
9819 10099
9820 10100
9821CIPHER=bf_cbc 10101CIPHER=aes_128_cbc
9822# Check whether --enable-cipher or --disable-cipher was given. 10102# Check whether --enable-cipher or --disable-cipher was given.
9823if test "${enable_cipher+set}" = set; then 10103if test "${enable_cipher+set}" = set; then
9824 enableval="$enable_cipher" 10104 enableval="$enable_cipher"
9825 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi 10105 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi
9826 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi 10106 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi
9832cat >>confdefs.h <<_ACEOF 10112cat >>confdefs.h <<_ACEOF
9833#define ENABLE_CIPHER EVP_${CIPHER} 10113#define ENABLE_CIPHER EVP_${CIPHER}
9834_ACEOF 10114_ACEOF
9835 10115
9836 10116
9837DIGEST=sha1 10117DIGEST=ripemd160
9838# Check whether --enable-digest or --disable-digest was given. 10118# Check whether --enable-digest or --disable-digest was given.
9839if test "${enable_digest+set}" = set; then 10119if test "${enable_digest+set}" = set; then
9840 enableval="$enable_digest" 10120 enableval="$enable_digest"
9841 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi 10121 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi
9842 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi 10122 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi
9855fi 10135fi
9856 10136
9857if $CXX -v --help 2>&1 | grep -q fexceptions; then 10137if $CXX -v --help 2>&1 | grep -q fexceptions; then
9858 CXXFLAGS="$CXXFLAGS -fno-exceptions" 10138 CXXFLAGS="$CXXFLAGS -fno-exceptions"
9859fi 10139fi
9860
9861
9862 10140
9863 10141
9864 10142
9865 10143
9866 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 10144 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
10564s,@ACLOCAL@,$ACLOCAL,;t t 10842s,@ACLOCAL@,$ACLOCAL,;t t
10565s,@AUTOCONF@,$AUTOCONF,;t t 10843s,@AUTOCONF@,$AUTOCONF,;t t
10566s,@AUTOMAKE@,$AUTOMAKE,;t t 10844s,@AUTOMAKE@,$AUTOMAKE,;t t
10567s,@AUTOHEADER@,$AUTOHEADER,;t t 10845s,@AUTOHEADER@,$AUTOHEADER,;t t
10568s,@MAKEINFO@,$MAKEINFO,;t t 10846s,@MAKEINFO@,$MAKEINFO,;t t
10569s,@AMTAR@,$AMTAR,;t t
10570s,@install_sh@,$install_sh,;t t 10847s,@install_sh@,$install_sh,;t t
10571s,@STRIP@,$STRIP,;t t 10848s,@STRIP@,$STRIP,;t t
10572s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t 10849s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
10573s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t 10850s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
10851s,@mkdir_p@,$mkdir_p,;t t
10574s,@AWK@,$AWK,;t t 10852s,@AWK@,$AWK,;t t
10575s,@SET_MAKE@,$SET_MAKE,;t t 10853s,@SET_MAKE@,$SET_MAKE,;t t
10576s,@am__leading_dot@,$am__leading_dot,;t t 10854s,@am__leading_dot@,$am__leading_dot,;t t
10855s,@AMTAR@,$AMTAR,;t t
10856s,@am__tar@,$am__tar,;t t
10857s,@am__untar@,$am__untar,;t t
10577s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t 10858s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
10578s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t 10859s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
10579s,@MAINT@,$MAINT,;t t 10860s,@MAINT@,$MAINT,;t t
10580s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t 10861s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
10581s,@MSGFMT@,$MSGFMT,;t t 10862s,@MSGFMT@,$MSGFMT,;t t
11345 /^X\(\/\).*/{ s//\1/; q; } 11626 /^X\(\/\).*/{ s//\1/; q; }
11346 s/.*/./; q'` 11627 s/.*/./; q'`
11347 else 11628 else
11348 continue 11629 continue
11349 fi 11630 fi
11350 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue 11631 # Extract the definition of DEPDIR, am__include, and am__quote
11351 # Extract the definition of DEP_FILES from the Makefile without 11632 # from the Makefile without running `make'.
11352 # running `make'.
11353 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"` 11633 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
11354 test -z "$DEPDIR" && continue 11634 test -z "$DEPDIR" && continue
11635 am__include=`sed -n 's/^am__include = //p' < "$mf"`
11636 test -z "am__include" && continue
11637 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
11355 # When using ansi2knr, U may be empty or an underscore; expand it 11638 # When using ansi2knr, U may be empty or an underscore; expand it
11356 U=`sed -n -e '/^U = / s///p' < "$mf"` 11639 U=`sed -n 's/^U = //p' < "$mf"`
11357 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR" 11640 # Find all dependency output files, they are included files with
11358 # We invoke sed twice because it is the simplest approach to 11641 # $(DEPDIR) in their names. We invoke sed twice because it is the
11359 # changing $(DEPDIR) to its actual value in the expansion. 11642 # simplest approach to changing $(DEPDIR) to its actual value in the
11643 # expansion.
11360 for file in `sed -n -e ' 11644 for file in `sed -n "
11361 /^DEP_FILES = .*\\\\$/ { 11645 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
11362 s/^DEP_FILES = //
11363 :loop
11364 s/\\\\$//
11365 p
11366 n
11367 /\\\\$/ b loop
11368 p
11369 }
11370 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
11371 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do 11646 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
11372 # Make sure the directory exists. 11647 # Make sure the directory exists.
11373 test -f "$dirpart/$file" && continue 11648 test -f "$dirpart/$file" && continue
11374 fdir=`(dirname "$file") 2>/dev/null || 11649 fdir=`(dirname "$file") 2>/dev/null ||
11375$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 11650$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
11423_ACEOF 11698_ACEOF
11424chmod +x $CONFIG_STATUS 11699chmod +x $CONFIG_STATUS
11425ac_clean_files=$ac_clean_files_save 11700ac_clean_files=$ac_clean_files_save
11426 11701
11427 11702
11428
11429echo
11430echo "***"
11431echo "*** Configuration Summary"
11432echo "***"
11433echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11434echo "*** Cipher used: $CIPHER"
11435echo "*** Digest used: $DIGEST"
11436echo "*** HMAC length: $HMAC"
11437echo "*** RAND used: $RAND"
11438echo "*** Max. MTU: $MTU"
11439echo "*** Compression: $COMPRESS"
11440
11441if test "x$DIGEST" = xmd4; then
11442echo "***"
11443echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11444fi
11445
11446if test "$HMAC" -lt 12; then
11447echo "***"
11448echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11449fi
11450
11451if test "$RAND" -lt 8; then
11452echo "***"
11453echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11454fi
11455
11456echo "***"
11457
11458echo
11459
11460
11461
11462# configure is writing to config.log, and then calls config.status. 11703# configure is writing to config.log, and then calls config.status.
11463# config.status does its own redirection, appending to config.log. 11704# config.status does its own redirection, appending to config.log.
11464# Unfortunately, on DOS this fails, as config.log is still kept open 11705# Unfortunately, on DOS this fails, as config.log is still kept open
11465# by configure, so config.status won't be able to write to it; its 11706# by configure, so config.status won't be able to write to it; its
11466# output is simply discarded. So we exec the FD to /dev/null, 11707# output is simply discarded. So we exec the FD to /dev/null,
11478 # Use ||, not &&, to avoid exiting from the if with $? = 1, which 11719 # Use ||, not &&, to avoid exiting from the if with $? = 1, which
11479 # would make configure fail if this is the last instruction. 11720 # would make configure fail if this is the last instruction.
11480 $ac_cs_success || { (exit 1); exit 1; } 11721 $ac_cs_success || { (exit 1); exit 1; }
11481fi 11722fi
11482 11723
11724
11725echo
11726echo "***"
11727echo "*** Configuration Summary"
11728echo "***"
11729echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11730echo "*** Cipher used: $CIPHER"
11731echo "*** Digest used: $DIGEST"
11732echo "*** HMAC length: $HMAC"
11733echo "*** RAND used: $RAND"
11734echo "*** Max. MTU: $MTU"
11735
11736echo "***"
11737echo "*** Enable options:"
11738grep ENABLE_ config.h | sed -e 's/^/*** /'
11739
11740if test "x$DIGEST" = xmd4; then
11741echo "***"
11742echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11743fi
11744
11745if test "$HMAC" -lt 12; then
11746echo "***"
11747echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11748fi
11749
11750if test "$RAND" -lt 8; then
11751echo "***"
11752echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11753fi
11754
11755echo "***"
11756echo
11757
11758

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines